Warm List

GET /public/v1/warmlist/{workspaceId}/monitored-profiles

List active monitored LinkedIn profiles for post-engagement tracking.

GET /public/v1/warmlist/{workspaceId}/monitored-profiles

GET /public/v1/warmlist/{workspaceId}/monitored-profiles

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/monitored-profiles' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "monitored_profiles": [
      {
        "id": "<string>",
        "name": "<string>",
        "profile_url": "<string>",
        "profile_pic": "<string>",
        "linkedin_public_id": "<string>",
        "linkedin_urn": "<string>",
        "created_at": "<string>"
      }
    ],
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Query Parameters

  • limit number
  • offset number
  • ownerId string

    Admin/Owner only: list monitored profiles for a specific workspace member

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • monitored_profiles[] object array
      + Show Child Attributes
      • id string
      • name string nullable
      • profile_url string
      • profile_pic string nullable
      • linkedin_public_id string nullable
      • linkedin_urn string nullable
      • created_at string
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean